package com.zhyc.module.base.domain;

import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 羊舍管理对象 da_sheepfold
 * 
 * @author wyt
 * @date 2025-07-11
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DaSheepfold extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRanchId() {
        return ranchId;
    }

    public void setRanchId(Long ranchId) {
        this.ranchId = ranchId;
    }

    public String getSheepfoldName() {
        return sheepfoldName;
    }

    public void setSheepfoldName(String sheepfoldName) {
        this.sheepfoldName = sheepfoldName;
    }

    public Long getSheepfoldTypeId() {
        return sheepfoldTypeId;
    }

    public void setSheepfoldTypeId(Long sheepfoldTypeId) {
        this.sheepfoldTypeId = sheepfoldTypeId;
    }

    public String getSheepfoldNo() {
        return sheepfoldNo;
    }

    public void setSheepfoldNo(String sheepfoldNo) {
        this.sheepfoldNo = sheepfoldNo;
    }

    public String getRowNo() {
        return rowNo;
    }

    public void setRowNo(String rowNo) {
        this.rowNo = rowNo;
    }

    public String getColumns() {
        return columns;
    }

    public void setColumns(String columns) {
        this.columns = columns;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    /** 羊舍id */
    @Excel(name = "羊舍id")
    private Long id;

    /** 牧场 */
    @Excel(name = "牧场")
    private Long ranchId;

    /** 羊舍名称 */
    @Excel(name = "羊舍名称")
    private String sheepfoldName;

    /** 羊舍类型id */
    @Excel(name = "羊舍类型id")
    private Long sheepfoldTypeId;

    /** 羊舍编号 */
    @Excel(name = "羊舍编号")
    private String sheepfoldNo;

    /** 排号 */
    @Excel(name = "排号")
    private String rowNo;

    /** 栏数 */
    @Excel(name = "栏数")
    private String columns;

    /** 备注 */
    @Excel(name = "备注")
    private String comment;

    // 非数据库字段：单栏位羊数（子表格用）
    private Integer sheepCount;
    // 非数据库字段：羊舍总羊数（主表格用）
    private Integer totalSheepCount;


}
